#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.

# 
# # Copyright (c) 2000, 2004 IBM Corp. - All Rights Reserved.
# # IBM makes no representations or warranties about the suitability of
# # this program, either express or implied, including but not limited to
# # the implied warranties of merchantability, fitness for a particular
# # purpose, or non-infringement. 
# 
#


. ${TOP}/bin/get_params.sh
if [ ! "${_CCD_STOP}" = "no" ]; then
    ${ADMIN_DIR}/abort/abort_rmiregistry.sh
fi

SVC_NAME=rmi_${SHORT_HOSTNAME}
. ${ADMIN_DIR}/init_svc_vars.sh
. ${TOP}/bin/read_config_file.sh ${CCD_ETC_DIR}/default/common.properties

RMI_PORT=${_CCD_CONF_RMI_PORT}
${ECHO} "starting rmiregistry on port $RMI_PORT"
startWithLogs ${RMIREGISTRY_CMD} -J-Djava.security.policy=${POLICY_FILE} -J-DTOP=${TOP} -J-DCCD_ETC_DIR=${CCD_ETC_DIR} -J-Dfile.encoding=ISO8859_1 $RMI_PORT
