#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
. ${TOP}/bin/get_params.sh

function usage()
{
  echo COMMON_INFO_USAGE_SH " migrateCompanyZip.sh [--debug=yes] [--verbose=yes] [--param=<filename>] --out=<output directory> <input zip>+"
  exit 1;
}

if [ -z $_CCD_OUT ]; then
  usage
fi

if [ ! -e $TOP/src/db/migration/xslt ]; then
    ${ECHO} COMMON_ERROR_INVALID_XSLT_DIRECTORY_SH
    exit
fi


echo "============================================================"
CMD="$JAVA_RT com.ibm.ccd.envexpimp.migration.Migrator --xsl=$TOP/src/db/migration/xslt --from=5.2.1 $@"
$CMD
rc=$?
echo "============================================================"

exit $rc
