-- {COPYRIGHT-TOP} ------------------------------------------------
-- IBM Confidential
-- OCO Source Materials
-- 5724-V51
--
--  Copyright IBM Corp. 2000, 2008 All Rights Reserved.
--
-- The source code for this program is not published or otherwise
-- divested of its trade secrets, irrespective of what has been
-- deposited with the U.S. Copyright Office.
-- {COPYRIGHT-END} ------------------------------------------------


-- ===================================================================
--
-- Table tutl_map_persistent_map
--
-- Used to save key/value pairs that will need to be accessed by any of the servers
-- ===================================================================

drop table tutl_map_persistent_map cascade constraints;
create table tutl_map_persistent_map
( 
    map_company_id                number(9, 0) not null,
    map_key                       varchar2(1000) not null,
    map_value                     varchar2(3000),
    constraint map_0_uk
        unique (map_key, map_company_id)
) 
tablespace users;


drop synonym map;
create synonym map for tutl_map_persistent_map;

