-- {COPYRIGHT-TOP} ------------------------------------------------
-- IBM Confidential
-- OCO Source Materials
-- 5724-V51
--
--  Copyright IBM Corp. 2000, 2008 All Rights Reserved.
--
-- The source code for this program is not published or otherwise
-- divested of its trade secrets, irrespective of what has been
-- deposited with the U.S. Copyright Office.
-- {COPYRIGHT-END} ------------------------------------------------


-- LCK indexes modified to reduce redo log generation

alter table tutl_lck_lock drop constraint lck_0_uk;
drop index lck_0_uk;

drop index iutl_lck_0;

create UNIQUE index iutl_lck_0
on tutl_lck_lock (
lck_jvm_id,
lck_thread_id,
lck_type,
lck_object_id,
lck_object_type
)
tablespace indx
nologging;

create index iutl_lck_2
on tutl_lck_lock (
lck_object_id,
lck_object_type
)
tablespace indx
nologging;
