-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


-- ===================================================================
--
-- Table trss_rsa_search_attr_group
--

-- ===================================================================

drop table trss_rsa_search_attr_group cascade constraints;
create table trss_rsa_search_attr_group
( 
    rsa_id                        number(9, 0) not null,
    rsa_company_id                number(9, 0),
    rsa_user_id                   number(9, 0),
    rsa_container_id              number(9, 0),
    rsa_step_id                   number(9, 0),
    rsa_name                      varchar2(140),
    constraint rsa_0_pk
        primary key (rsa_id)
) 
tablespace users;


drop synonym rsa;
create synonym rsa for trss_rsa_search_attr_group;




