-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


-- ===================================================================
--
-- Table tucp_ucp_usage_detail
--
-- Contains the usage event.
-- ===================================================================

drop table tucp_ucp_usage_detail cascade constraints;
create table tucp_ucp_usage_detail
( 
    ucp_company_id                number(9, 0),
    ucp_usage_name                varchar2(100),
    ucp_usage_time                date,
    ucp_usage_count               number(9, 0)
) 
tablespace users;


drop synonym ucp;
create synonym ucp for tucp_ucp_usage_detail;




