-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


-- ===================================================================
--
-- Table tusg_usg_usage_event
--
-- Contains the usage event.
-- ===================================================================

drop table tusg_usg_usage_event cascade constraints;
create table tusg_usg_usage_event
( 
    usg_company_id                number(9, 0),
    usg_event_name                varchar2(100),
    usg_timestamp                 date,
    usg_user_id                   number(9, 0),
    usg_description               varchar2(2000)
) 
tablespace users;


drop synonym usg;
create synonym usg for tusg_usg_usage_event;




