-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


-- ===================================================================
--
-- Table tusr_usr_usage_report
--

-- ===================================================================

drop table tusr_usr_usage_report cascade constraints;
create table tusr_usr_usage_report
( 
    usr_company_id                number(9, 0),
    usr_date                      date,
    usr_data_type                 varchar2(100),
    usr_value                     number(9, 0)
) 
tablespace users;


drop synonym usr;
create synonym usr for tusr_usr_usage_report;




