-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


drop index ipfm_ppr_0;
create index ipfm_ppr_0 on tpfm_ppr_profile (
        ppr_profile_id,
        ppr_name,
        ppr_depth
) tablespace indx  NOLOGGING;

drop index ipfm_ppi_0;
create index ipfm_ppi_0 on tpfm_ppi_profile_info (
        ppi_profile_name,
        ppi_company_id
) tablespace indx  NOLOGGING;

drop index ipfm_ppi_1;
create index ipfm_ppi_1 on tpfm_ppi_profile_info (
        ppi_start_time,
        ppi_company_id,
        ppi_profile_id,
        ppi_profile_name,
        ppi_user_id
) tablespace indx  NOLOGGING;

drop index ipfm_psi_0;
create index ipfm_psi_0 on tpfm_psi_profile_schedule_info (
        psi_profile_id,
        psi_schedule_index
) tablespace indx  NOLOGGING;

drop index ipfm_psi_1;
create index ipfm_psi_1 on tpfm_psi_profile_schedule_info (
        psi_schedule_index
) tablespace indx  NOLOGGING;

drop index ipfm_psd_0;
create index ipfm_psd_0 on tpfm_psd_schedule_detail (
        psd_schedule_index
) tablespace indx  NOLOGGING;




