-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


drop index ique_msd_0;
create index ique_msd_0 on tque_msd_message_definition (
        msd_type_id,
        msd_cmp_id,
        msd_message_type
) tablespace indx  NOLOGGING;

drop index ique_msd_1;
create index ique_msd_1 on tque_msd_message_definition (
        msd_message_type,
        msd_cmp_id,
        msd_type_id
) tablespace indx  NOLOGGING;

drop index ique_mtd_0;
create index ique_mtd_0 on tque_mtd_queue_msg_type_detail (
        mtd_type_id,
        mtd_attr_name
) tablespace indx  NOLOGGING;

drop index ique_qmm_0;
create index ique_qmm_0 on tque_qmm_queue_message_map (
        qmm_queue_id,
        qmm_msg_type_id
) tablespace indx  NOLOGGING;

drop index ique_qmm_1;
create index ique_qmm_1 on tque_qmm_queue_message_map (
        qmm_msg_type_id,
        qmm_queue_id
) tablespace indx  NOLOGGING;

drop index ique_qtm_0;
create index ique_qtm_0 on tque_qtm_que_type_message_map (
        qtm_queue_type,
        qtm_msg_type_id
) tablespace indx  NOLOGGING;

drop index ique_qtm_1;
create index ique_qtm_1 on tque_qtm_que_type_message_map (
        qtm_msg_type_id,
        qtm_queue_type
) tablespace indx  NOLOGGING;




