#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.

# usage:
#   admin_api_wrapper.sh [--sqlfile=<SQL file containing a runstats command>] 


#${ECHO} ============================================================================================================ \
#>> $TOP/logs/admin_api_wrapper.log 

#${ECHO} Entered admin_api_wrapper.sh `date` \
#>> $TOP/logs/admin_api_wrapper.log 

#${ECHO} ============================================================================================================ \
#>> $TOP/logs/admin_api_wrapper.log 

. ${DB_DIR}/util/set_db.sh --db_output=no --confirm_db=no

. ${TOP}/bin/get_params.sh

#${ECHO} ----------------------------------------------------------------------------------------------------------- \
#>> $TOP/logs/admin_api_wrapper.log 

#${ECHO} Running SQL from file \
#>> $TOP/logs/admin_api_wrapper.log 

#${ECHO} SQL File Name    : $_CCD_SQLFILE \
#>> $TOP/logs/admin_api_wrapper.log 

#cat $_CCD_SQLFILE \
#>> $TOP/logs/admin_api_wrapper.log 

#${ECHO} ----------------------------------------------------------------------------------------------------------- \
#>> $TOP/logs/admin_api_wrapper.log 
${ECHO} -----------------------------------------------------------------------------------------------------------
${ECHO} Running the following SQL at the OS
${ECHO} -----------------------------------------------------------------------------------------------------------
cat $_CCD_SQLFILE
${ECHO} -----------------------------------------------------------------------------------------------------------

. ${DB_DIR}/util/run_db_cmd.sh --file=$_CCD_SQLFILE 
#>> $TOP/logs/admin_api_wrapper.log 
${ECHO} -----------------------------------------------------------------------------------------------------------

#${ECHO} ============================================================================================================ \
#>> $TOP/logs/admin_api_wrapper.log 

#${ECHO} Exiting admin_api_wrapper.sh `date` \
#>> $TOP/logs/admin_api_wrapper.log 

#${ECHO} ============================================================================================================ \
#>> $TOP/logs/admin_api_wrapper.log 

#${ECHO} \
#>> $TOP/logs/admin_api_wrapper.log 
#${ECHO} \
#>> $TOP/logs/admin_api_wrapper.log 

