#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
# 
# # Copyright (c) 2000, 2004 IBM Corp. - All Rights Reserved.
# # IBM makes no representations or warranties about the suitability of
# # this program, either express or implied, including but not limited to
# # the implied warranties of merchantability, fitness for a particular
# # purpose, or non-infringement. 
# 
#


tmplog=${TOP}/logs/schema.log


if [ "$CCD_DB" = "oracle" ]; then
	${ECHO} ====================================================
	${ECHO} COMMON_INFO_NO_OBJ_NEED_SH
	${ECHO} ====================================================
elif [ "$CCD_DB" = "db2" ]; then
	${ECHO} ====================================================
	${ECHO} COMMON_INFO_LOAD_SSINSTR_SH
	${ECHO} ====================================================
  . ${DB_DIR}/util/run_db_cmd.sh --file=$DB_SCRIPTS/instr_function.sql >> $tmplog

	${ECHO} ====================================================
	${ECHO} COMMON_INFO_LOAD_SPAD_SH
	${ECHO} ====================================================
  . ${DB_DIR}/util/run_db_cmd.sh --file=$DB_SCRIPTS/rightpad_and_leftpad_function.sql >> $tmplog

	${ECHO} ====================================================
	${ECHO} COMMON_INFO_LOAD_GREATEST_SH
	${ECHO} ====================================================
  . ${DB_DIR}/util/run_db_cmd.sh --file=$DB_SCRIPTS/greatest_function.sql >> $tmplog

else
	${ECHO} COMMON_INFO_UNSET_ENV_SH
	exit
fi
