-- {COPYRIGHT-TOP} ------------------------------------------------
-- IBM Confidential
-- OCO Source Materials
-- 5724-V51
--
--  Copyright IBM Corp. 2000, 2008 All Rights Reserved.
--
-- The source code for this program is not published or otherwise
-- divested of its trade secrets, irrespective of what has been
-- deposited with the U.S. Copyright Office.
-- {COPYRIGHT-END} ------------------------------------------------


insert into metadata_statistics (order_sequence, metadata_defn, total_entries, rundate, metadata_id)
with catg_specs as
(select cab_category_id as category, nod_spec_id as specs from cab, nod 
where  cab_company_id = 40001
and cab_next_version_id = 999999999
and cab_node_id = nod_id
and nod_company_id = cab_company_id
and nod_next_version_id = cab_next_version_id
group by cab_category_id, nod_spec_id  
)
select rownumber() over (order by count(1) desc), 
'AttributesPerCategory', count(1),
current timestamp, category
from nod, catg_specs
where specs = nod_spec_id
and nod_company_id = 40001
and nod_next_version_id = 999999999
and nod_type = 'ATTRIBUTE'
group by category
;
commit;
