-- {COPYRIGHT-TOP} ------------------------------------------------
-- IBM Confidential
-- OCO Source Materials
-- 5724-V51
--
--  Copyright IBM Corp. 2000, 2008 All Rights Reserved.
--
-- The source code for this program is not published or otherwise
-- divested of its trade secrets, irrespective of what has been
-- deposited with the U.S. Copyright Office.
-- {COPYRIGHT-END} ------------------------------------------------


insert into metadata_statistics(rundate, metadata_defn, order_sequence, total_entries, metadata_id) 
select to_date(sysdate,'YYYY-MM-DD-HH24:MI:SS'), 'CategoryTreesPerCatalog', rownum, totals, id from 
(select count(1) totals, caa_catalog_id id
from caa
where caa_name = 'CATEGORY_TREE_ID'
and caa_next_version_id = 999999999
group by caa_catalog_id
order by count(1) desc);
commit;
quit;
