#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.


. $TOP/bin/get_params.sh

if [ "${_CCD_USERNAME}" = "" ]||[ "${_CCD_PASSWORD}" = "" ]||[ "${_CCD_COMPANY}" = "" ]||[ "${_CCD_JOBTYPE}" = "" ]||[ "${_CCD_JOBNAME}" = "" ]||[ "${_CCD_PROPERTYFILEPATH}" = "" ]||[ "${_CCD_DATAFILEPATH}" = "" ]; then

    ${ECHO} "$0 --username=<reportName> --password=<password> --company=<company> --jobtype=<JobType> --jobname=<JobName> --propertyFilePath=<propertyFilePath> --dataFilePath=<dataFilePath>"
	exit   

fi
if [ "${_CCD_JOBTYPE}" != "report" ]&&[ "${_CCD_JOBTYPE}" != "Report" ]; then
	${ECHO} "Only Report jobtype is supported"
	exit
fi


$JAVA_RT com.ibm.ccd.loader.LoaderJobInvoker csv ${_CCD_USERNAME} ${_CCD_PASSWORD} ${_CCD_COMPANY} ${_CCD_JOBTYPE} ${_CCD_JOBNAME} ${_CCD_PROPERTYFILEPATH} ${_CCD_DATAFILEPATH}
