----- Buffer pool configuration
CREATE BUFFERPOOL USERSBP SIZE AUTOMATIC PAGESIZE 16K;
CREATE BUFFERPOOL INDXBP SIZE AUTOMATIC PAGESIZE 16K;
CREATE BUFFERPOOL BLOBBP SIZE AUTOMATIC PAGESIZE 16K;
CREATE BUFFERPOOL TEMPUSRBP SIZE AUTOMATIC PAGESIZE 32K;
CREATE BUFFERPOOL TEMPSYSBP SIZE AUTOMATIC PAGESIZE 32K;

----- Database Manager Configuration
update dbm cfg using MON_HEAP_SZ 5120;
update dbm cfg using QUERY_HEAP_SZ 1024;
update dbm cfg using ASLHEAPSZ 1024;
update dbm cfg using MAXAGENTS 120;

----- Database configuration
update db cfg using SELF_TUNING_MEM ON;
update db cfg using DFT_QUERYOPT 5;
update db cfg using DBHEAP 20000;
update db cfg using CATALOGCACHE_SZ 5120;
update db cfg using LOGBUFSZ 4096;
update db cfg using UTIL_HEAP_SZ 5120;
update db cfg using BUFFPAGE 1024;
update db cfg using APP_CTL_HEAP_SZ 512;
update db cfg using STMTHEAP 2048;
update db cfg using APPLHEAPSZ 1024;
update db cfg using STAT_HEAP_SZ 10240;
update db cfg using LOCKTIMEOUT 60;
update db cfg using NUM_IOCLEANERS 7;
update db cfg using NUM_IOSERVERS 8;
update db cfg using MAXAPPLS 120;
update db cfg using AVG_APPLS 5;
update db cfg using MAXFILOP 640;
----- Log file configuration 
update db cfg using LOGFILSIZ 3000;
update db cfg using LOGPRIMARY 40;
update db cfg using LOGSECOND 2;
