<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<!-- 
	This xslt document transforms old spec documents that used generic markup into
	xml documents that conform to the AustinXML.dtd.	
-->

<xsl:include href="specs/Spec.xsl"/>


<xsl:template match="SimpleFile">
    <AustinXML>
	<AustinHeader>
		<Authentication>
			<User></User>
			<Pass></Pass>
		</Authentication>
	</AustinHeader>
	<AustinContent>
		<xsl:param name="type" select="Header/Type"></xsl:param>
				

	<!-- xxx . The choose part needs to be rewritten.  -->		      
		<xsl:choose>
			<xsl:when test="string(a)=string(a)">
				<Spec>
				<xsl:attribute name="type"><xsl:value-of select="$type"/></xsl:attribute>
					
			          <xsl:apply-templates/>			

				</Spec>
			</xsl:when>
		</xsl:choose>
		
	</AustinContent>
	</AustinXML>	
  </xsl:template>

</xsl:stylesheet>
