<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <xsl:template match="/ | @* | node()">
    <xsl:copy>
      <xsl:apply-templates select="@* | node()"/>
    </xsl:copy>
  </xsl:template>

<!-- Removes UserDefinedAttributes if UserDefinedAttributeName=INHERITANCE_ON -->
 <xsl:template match="UserDefinedAttributes/UserDefinedAttribute"> 
  <xsl:choose>
     <xsl:when test="./UserDefinedAttributeName[text()='INHERITANCE_ON']">
        <xsl:if test="./UserDefinedAttributeValue[text() = 'Y']">
	</xsl:if>
     </xsl:when>
     <xsl:otherwise><xsl:copy-of select="." /></xsl:otherwise>
   </xsl:choose>
  </xsl:template>
</xsl:stylesheet>
