-- {COPYRIGHT-TOP} ------------------------------------------------
-- IBM Confidential
-- OCO Source Materials
-- 5724-V51
--
--  Copyright IBM Corp. 2000, 2008 All Rights Reserved.
--
-- The source code for this program is not published or otherwise
-- divested of its trade secrets, irrespective of what has been
-- deposited with the U.S. Copyright Office.
-- {COPYRIGHT-END} ------------------------------------------------


-- ====================================================================
-- Justin Gordon
-- 		       creating the Default Company

-- ====================================================================
-- create mappings to default organization

insert into eem
select
cat_company_id, scu_user_id, -1, cat_id, cat_container_id, 0, 999999999, 'UOM'
from cat, scu
where cat_primary_key = 'Default Organization' 
and cat_company_id = (select cmp_company_id from cmp where cmp_company_code = '%CMP_CODE%')
and scu_company_id = cat_company_id
and scu_user_id not in 
       (select eem_src_entry_id from eem where eem_map_type = 'UOM' and eem_company_id = 
               (select cmp_company_id from cmp where cmp_company_code = '%CMP_CODE%'));

commit;

