-- {COPYRIGHT-TOP} ------------------------------------------------
-- IBM Confidential
-- OCO Source Materials
-- 5724-V51
--
--  Copyright IBM Corp. 2000, 2008 All Rights Reserved.
--
-- The source code for this program is not published or otherwise
-- divested of its trade secrets, irrespective of what has been
-- deposited with the U.S. Copyright Office.
-- {COPYRIGHT-END} ------------------------------------------------


-- IBM Confidential
-- OCO Source Materials
-- 5724-I68.
-- (C) Copyright IBM Corp. 2007 - All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure 
-- restricted by GSA ADP Schedule Contract with IBM Corp. 

-- ref. WPC00031413 and subsequent email

drop index iwfl_stp_0;
create index iwfl_stp_0 on twfl_stp_step_performer (
        stp_step_id,
        stp_cmp_id
)
tablespace indx NOLOGGING;

drop index iwfl_ste_0;
create index iwfl_ste_0 on twfl_ste_step_exit_value (
        ste_step_id,
        ste_cmp_id
)
tablespace indx NOLOGGING;

drop index iwfl_cae_1;
create index iwfl_cae_1 on twfl_cae_coll_area_entry (
        cae_lock_id,
        cae_entry_id,
        cae_step_path_id,
        cae_ca_id,
        cae_cmp_id
)
tablespace indx NOLOGGING;

drop index isec_rat_0;
create index isec_rat_0 on tsec_rat_role_attributes (
        rat_role_id,
        rat_name,
        rat_attr_value
)
tablespace indx NOLOGGING;

drop index ictg_itm_3;
create index ictg_itm_3 on tctg_itm_item (
        upper(itm_primary_key),
        itm_container_id,
        itm_version_id,
        itm_next_version_id,
        itm_id
)
tablespace indx NOLOGGING;

commit;
