-- {COPYRIGHT-TOP} ------------------------------------------------
-- IBM Confidential
-- OCO Source Materials
-- 5724-V51
--
--  Copyright IBM Corp. 2000, 2008 All Rights Reserved.
--
-- The source code for this program is not published or otherwise
-- divested of its trade secrets, irrespective of what has been
-- deposited with the U.S. Copyright Office.
-- {COPYRIGHT-END} ------------------------------------------------


-- IBM Confidential
-- OCO Source Materials
-- 5724-I68.
-- (C) Copyright IBM Corp. 2000, 2006 - All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure 
-- restricted by GSA ADP Schedule Contract with IBM Corp. 

--drop all indices beside ictg_ita_0
drop index ictg_ita_1;

drop index ictg_ita_2;

drop index ictg_ita_3;

commit;


-- add the new columns
alter table tctg_ita_item_attributes add ita_occurrence_id number(10, 0);

commit;

-- Modify the column length if defined incorrectly
alter table "TCTG_ITA_ITEM_ATTRIBUTES" modify (ita_occurrence_id NUMBER(10,0) );

commit;

alter table tctg_ita_item_attributes add ita_value_string_ignorecase varchar2(3000);

commit;


-- Set a default value for rows not already populated (prevents loss of data)
update ita set ita_occurrence_id=-1 where ita_occurrence_id is null;

commit;




