-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


-- ===================================================================
--
-- Table tldr_dat_data_table
--
-- Contains the data generated from iis
-- ===================================================================

drop table tldr_dat_data_table cascade constraints;
create table tldr_dat_data_table
( 
    dat_job_id                    number(9, 0),
    dat_record_id                 number(9, 0),
    dat_name                      varchar2(256),
    dat_value                     varchar2(256)
) 
tablespace users;


drop synonym dat;
create synonym dat for tldr_dat_data_table;

-- ===================================================================
--
-- Table tldr_stt_status_table
--
-- Contains the data generated from iis
-- ===================================================================

drop table tldr_stt_status_table cascade constraints;
create table tldr_stt_status_table
( 
    stt_job_id                    number(9, 0),
    stt_record_id                 number(9, 0),
    stt_status                    varchar2(256),
    stt_timestamp                 date
) 
tablespace users;


drop synonym stt;
create synonym stt for tldr_stt_status_table;




