-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


-- ===================================================================
--
-- Table trpt_rpi_report_instance
--
-- Contains the list of reports and their attributes
-- ===================================================================

drop table trpt_rpi_report_instance cascade constraints;
create table trpt_rpi_report_instance
( 
    rpi_company_id                number(9, 0),
    rpi_report_instance_id        number(9, 0),
    rpi_type                      varchar2(80),
    rpi_name                      varchar2(80),
    rpi_destination_id            number(9, 0),
    rpi_job_id                    number(9, 0)
) 
tablespace users;


drop synonym rpi;
create synonym rpi for trpt_rpi_report_instance;

drop sequence qrpt_rpi_report_instance_id;
create sequence qrpt_rpi_report_instance_id start with 1 increment by 200 nocache;




