-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


drop index idis_dsa_0;
create index idis_dsa_0 on tdis_dsa_dst_attributes (
        dsa_distribution_id,
        dsa_node_id
) tablespace indx  NOLOGGING;

drop index idis_dst_0;
create index idis_dst_0 on tdis_dst_mkt_distribution (
        dst_distribution_id,
        dst_company_id
) tablespace indx  NOLOGGING;

drop index idis_dst_1;
create index idis_dst_1 on tdis_dst_mkt_distribution (
        dst_distribution_name,
        dst_company_id
) tablespace indx  NOLOGGING;

drop index idis_dgp_0;
create index idis_dgp_0 on tdis_dgp_distribution_group (
        dgp_distribution_group_id,
        dgp_company_id
) tablespace indx  NOLOGGING;

drop index idis_dgp_1;
create index idis_dgp_1 on tdis_dgp_distribution_group (
        dgp_distribution_group_name,
        dgp_company_id
) tablespace indx  NOLOGGING;

drop index idis_dgl_0;
create index idis_dgl_0 on tdis_dgl_distribution_list (
        dgl_distribution_group_id,
        dgl_company_id
) tablespace indx  NOLOGGING;

drop index idis_dgl_1;
create index idis_dgl_1 on tdis_dgl_distribution_list (
        dgl_distribution_id,
        dgl_company_id
) tablespace indx  NOLOGGING;




