#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.

if [ "$CCD_DB" = "oracle" ]; then
	${ECHO} ====================================================
	${ECHO} No Database objects required to be created
	${ECHO} ====================================================
elif [ "$CCD_DB" = "db2" ]; then
	${ECHO} ====================================================
	${ECHO} Loading new function SSINSTR
	${ECHO} ====================================================
  . ${DB_DIR}/util/run_db_cmd.sh --file=$DB_SCRIPTS/instr_function.sql

	${ECHO} ====================================================
	${ECHO} "Loading new functions SSRPAD and SSLPAD"
	${ECHO} ====================================================
  . ${DB_DIR}/util/run_db_cmd.sh --file=$DB_SCRIPTS/rightpad_and_leftpad_function.sql

	${ECHO} ====================================================
	${ECHO} "Loading new function GREATEST"
	${ECHO} ====================================================
  . ${DB_DIR}/util/run_db_cmd.sh --file=$DB_SCRIPTS/greatest_function.sql

else 
	${ECHO} "Error! Database Environment has not been set."
	exit
fi
