#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
. ${TOP}/src/db/schema/util/set_db.sh

${ECHO} ====================================================
${ECHO} dropping temp tables used in aggregation
${ECHO} ====================================================

TEMP_TABLES_1=`${CCD_SQLPLUS} ${CONNECTION} <<EOF | ${GREP} 'TCTG'
select table_name from user_tables where table_name like 'TCTG\____\_TEMP_%' ESCAPE '\';
EOF`
TEMP_TABLES_2=`${CCD_SQLPLUS} ${CONNECTION} <<EOF | ${GREP} 'TCTG'
select table_name from user_tables where table_name like 'TCTG_IKM_ID_KEY_MAP_%' ;
EOF`
TEMP_TABLES_3=`${CCD_SQLPLUS} ${CONNECTION} <<EOF | ${GREP} 'TCTG'
select table_name from user_tables where table_name like 'TCTG_IMT_ICM_TEMP_%' ;
EOF`
TEMP_TABLES_4=`${CCD_SQLPLUS} ${CONNECTION} <<EOF | ${GREP} 'TCTG'
select table_name from user_tables where table_name like 'TCTG_DUP_%' ;
EOF`
TEMP_TABLES_5=`${CCD_SQLPLUS} ${CONNECTION} <<EOF | ${GREP} 'TCTG'
select table_name from user_tables where table_name like 'TCTG_DU2_%' ;
EOF`
TEMP_TABLES_6=`${CCD_SQLPLUS} ${CONNECTION} <<EOF | ${GREP} 'TCTG'
select table_name from user_tables where table_name like 'TCTG_MIC_%' ;
EOF`
TEMP_TABLES_7=`${CCD_SQLPLUS} ${CONNECTION} <<EOF | ${GREP} 'TCTG'
select table_name from user_tables where table_name like 'TCTG_DIT_%' ;
EOF`
TEMP_TABLES="${TEMP_TABLES_1} ${TEMP_TABLES_2} ${TEMP_TABLES_3} ${TEMP_TABLES_4} ${TEMP_TABLES_5} ${TEMP_TABLES_6} ${TEMP_TABLES_7}"

for i in $TEMP_TABLES
do
${ECHO} "drop table ${i};" | ${CCD_SQLPLUS} ${CONNECTION}
done

