#!/bin/bash
# IBM Confidential
# OCO Source Materials
# 5724-V51
#
# (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.

# Removes all objects from the current schema
# author: patrice

. ${TOP}/bin/get_params.sh

CONFIRM=""
if [ "$_CCD_CONFIRM_DB" = "no" ]; then
    CONFIRM=" --confirm_db=no"
fi

if [ $CCD_DB = "oracle" ]; then
    ${TOP}/src/db/schema/util/create_user.sh $CONFIRM
elif [ $CCD_DB = "db2" ]; then
    ${TOP}/src/db/schema/util/db2/db2_drop_user_objects.sh
else
    ${ECHO} "Error: database not supported [${CCD_DB}]"
    exit 1
fi

exit 0
