-- {COPYRIGHT-TOP} ------------------------------------------------
-- IBM Confidential
-- OCO Source Materials
-- 5724-V51
--
--  Copyright IBM Corp. 2000, 2008 All Rights Reserved.
--
-- The source code for this program is not published or otherwise
-- divested of its trade secrets, irrespective of what has been
-- deposited with the U.S. Copyright Office.
-- {COPYRIGHT-END} ------------------------------------------------


insert into metadata_statistics (order_sequence, metadata_defn, total_entries, rundate, metadata_id)
select rownumber() over(order by data_size desc), 
'DataSizePerCategory', data_size, current timestamp, id 
from (
select cad_category_id as id, 
coalesce(length(cad_blob),length(cad_bit_varchar),1) as data_size
from cad
where  cad_company_id = 40001
and cad_next_version_id = 999999999
) as temp
;
commit;
