-- {COPYRIGHT-TOP} ------------------------------------------------
-- IBM Confidential
-- OCO Source Materials
-- 5724-V51
--
--  Copyright IBM Corp. 2000, 2008 All Rights Reserved.
--
-- The source code for this program is not published or otherwise
-- divested of its trade secrets, irrespective of what has been
-- deposited with the U.S. Copyright Office.
-- {COPYRIGHT-END} ------------------------------------------------


insert into metadata_statistics (order_sequence, metadata_defn, total_entries, rundate, metadata_id)
select 
rownumber() over (order by coalesce(length(dbl_blob),length(dbl_bit_varchar),0) desc), 
'SizePerScript', 
coalesce(length(dbl_blob),length(dbl_bit_varchar),0), 
current timestamp, dbl_doc_id
from dhi, dbl
where dbl_doc_id = dhi_doc_id
and   dbl_cmp_id = dhi_cmp_id
and   dbl_cmp_id = 40001
and substr(dhi_doc_path,1,9) = '/scripts/'
;
commit;
