-- {COPYRIGHT-TOP} ------------------------------------------------
-- IBM Confidential
-- OCO Source Materials
-- 5724-V51
--
--  Copyright IBM Corp. 2000, 2008 All Rights Reserved.
--
-- The source code for this program is not published or otherwise
-- divested of its trade secrets, irrespective of what has been
-- deposited with the U.S. Copyright Office.
-- {COPYRIGHT-END} ------------------------------------------------


insert into metadata_statistics (order_sequence, metadata_defn, total_entries, rundate, metadata_id)
select rownumber() over (order by count(1) desc), 
'StandAloneSpecsPerCategory', count(1) ,
current timestamp, csa_category_id
from csa 
where csa_company_id = 40001 
and csa_name = 'CATEGORY_SPEC_ID' 
and csa_next_version_id = 999999999 
group by csa_category_id
;
commit;
