-- {COPYRIGHT-TOP} ------------------------------------------------
-- IBM Confidential
-- OCO Source Materials
-- 5724-V51
--
--  Copyright IBM Corp. 2000, 2008 All Rights Reserved.
--
-- The source code for this program is not published or otherwise
-- divested of its trade secrets, irrespective of what has been
-- deposited with the U.S. Copyright Office.
-- {COPYRIGHT-END} ------------------------------------------------


insert into metadata_statistics(rundate, metadata_defn, order_sequence, total_entries, metadata_id) 
select to_date(sysdate,'YYYY-MM-DD-HH24:MI:SS'), 'SizePerScript', rownum, totals, id from 
(select coalesce(length(dbl_blob),Length(dbl_bit_varchar),0) totals, dbl_doc_id id
from dhi, dbl
where dbl_doc_id = dhi_doc_id
and   dbl_cmp_id = dhi_cmp_id
and   dbl_cmp_id = 40001
and substr(dhi_doc_path,1,9) = '/scripts/'
order by totals desc);
commit;
quit;
